# Create sequence sets Creates sequence sets, allowing distinct numbering sequences for billing documents, payments, and refunds. Billing documents include invoices, credit memos, and debit memos. You can create a maximum of 100 sequence sets in one single request. A sequence set comprises a set of custom prefixes and starting numbers that are used for billing documents to generate, and payments and refunds to create. See Prefix and Numbering Configuration for Billing Documents for more information about limitations. Note: The Credit and Debit Memos feature is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Endpoint: POST /v1/sequence-sets Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Request fields (application/json): - `sequenceSets` (array) Array of sequence sets configured for billing documents, payments, and refunds. Example: [{"name":"FR","creditMemo":{"prefix":"FCM","startNumber":10},"debitMemo":{"prefix":"FDM","startNumber":10},"invoice":{"prefix":"FINV","startNumber":10},"payment":{"prefix":"FP-","startNumber":10},"refund":{"prefix":"FR-","startNumber":10}}] - `sequenceSets.creditMemo` (object, required) Container for the prefix and starting document number of credit memos. Note: This field is only available if you have the Invoice Settlement feature enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. - `sequenceSets.creditMemo.prefix` (string) The prefix of credit memos. Example: "CM" - `sequenceSets.creditMemo.startNumber` (integer) The starting document number of credit memos. Example: 10 - `sequenceSets.debitMemo` (object, required) Container for the prefix and starting document number of debit memos. Note: This field is only available if you have the Invoice Settlement feature enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. - `sequenceSets.debitMemo.prefix` (string) The prefix of debit memos. Example: "DM" - `sequenceSets.debitMemo.startNumber` (integer) The starting document number of debit memos. Example: 10 - `sequenceSets.invoice` (object, required) Container for the prefix and starting document number of invoices. - `sequenceSets.invoice.prefix` (string) The prefix of invoices. Example: "INV" - `sequenceSets.invoice.startNumber` (integer) The starting document number of invoices. Example: 10 - `sequenceSets.name` (string, required) The name of the sequence set to configure for billing documents, payments, and refunds. Example: "FRANCE" - `sequenceSets.payment` (object) Container for the prefix and starting number of payments. - `sequenceSets.payment.prefix` (string) The prefix of payments. Example: "P-" - `sequenceSets.payment.startNumber` (integer) The starting number of payments. Example: 10 - `sequenceSets.refund` (object) Container for the prefix and starting number of refunds. - `sequenceSets.refund.prefix` (string) The prefix of refunds. Example: "R-" - `sequenceSets.refund.startNumber` (integer) The starting number of refunds. Example: 10 ## Response 200 fields (application/json): - `sequenceSets` (array) Array of sequence sets configured for billing documents, payments, and refunds. - `sequenceSets.creditMemo` (object) Container for the prefix and starting document number of credit memos. Note: This field is only available if you have the Invoice Settlement feature enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. - `sequenceSets.creditMemo.prefix` (string) The prefix of credit memos. Example: "CM" - `sequenceSets.creditMemo.startNumber` (integer) The starting document number of credit memos. Example: 10 - `sequenceSets.debitMemo` (object) Container for the prefix and starting document number of debit memos. Note: This field is only available if you have the Invoice Settlement feature enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. - `sequenceSets.debitMemo.prefix` (string) The prefix of debit memos. Example: "DM" - `sequenceSets.debitMemo.startNumber` (integer) The starting document number of debit memos. Example: 10 - `sequenceSets.id` (string) The unique ID of the sequence set. For example, 402892c74c9193cd014c96bbe7c101f9. - `sequenceSets.invoice` (object) Container for the prefix and starting document number of invoices. - `sequenceSets.invoice.prefix` (string) The prefix of invoices. Example: "INV" - `sequenceSets.invoice.startNumber` (integer) The starting document number of invoices. Example: 10 - `sequenceSets.name` (string) The name of the sequence set. - `sequenceSets.payment` (object) Container for the prefix and starting number of payments. - `sequenceSets.payment.prefix` (string) The prefix of payments. Example: "P-" - `sequenceSets.payment.startNumber` (integer) The starting number of payments. Example: 10 - `sequenceSets.refund` (object) Container for the prefix and starting number of refunds. - `sequenceSets.refund.prefix` (string) The prefix of refunds. Example: "R-" - `sequenceSets.refund.startNumber` (integer) The starting number of refunds. Example: 10 - `success` (boolean) Indicates whether the call succeeded. Example: true ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.